Skip to main content
GET
List ACH Transfers

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

account_id
string

ID of the Account originating the transfer. Filterable.

counterparty_id
string

ID of the Counterparty receiving the transfer. Be sure that the ach section of the Counterparty contains non-null values. Filterable.

direction
string

Direction of funds flow. One of credit (send money to your counterparty) or debit (receive money from your counterparty). Filterable.

effective_date
string

The official effective date of the transaction, according to the ACH network. Filterable.

org_id
string

ID of your organization. Filterable.

service
string

Either standard or sameday. Specifies same-day or standard processing. Filterable.

status
string

Current status of the ACH transfer. Read-only. Possible values: pending, processing, sent, returned, canceled, error. Filterable.

trace_number
string

15 digit trace number assigned to the ACH when it was originated. Not available at every bank. Filterable.

trace_suffix
integer
page_cursor
string

Pagination cursor, value is the object ID.

page_size
integer
default:100

Limits the number of objects in the returned list, value must be a number greater than or equal to 1. Defaults to 100.

Required range: x >= 1
from_date
string

Lists the objects created on the date provided and onwards. Date must be in ISO 8601 format (“YYYY-MM-DD”).

to_date
string

Lists the objects created before the date provided. Date must be in ISO 8601 format (“YYYY-MM-DD”).

Response

200 - application/json

A dictionary with a data property that contains a list of up to page_size ach elements, starting after the ach described by page_cursor. If no more achs are available, the resulting list will be empty.

data
object[]